## ros-melodic-compressed-image-transport 1.9.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(compressed_image_transport)

find_package(OpenCV REQUIRED)
find_package(catkin REQUIRED COMPONENTS cv_bridge dynamic_reconfigure image_transport)

# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(cfg/CompressedPublisher.cfg cfg/CompressedSubscriber.cfg)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS cv_bridge dynamic_reconfigure image_transport
  DEPENDS OpenCV
)

include_directories(include ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/compressed_publisher.cpp src/compressed_subscriber.cpp src/manifest.cpp)
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

class_loader_hide_library_symbols(${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# add xml file
install(FILES compressed_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-compressed-image-transport (1.9.5-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Sun, 02 Oct 2016 22:00:00 -0000

ros-melodic-compressed-image-transport (1.9.4-0stretch) stretch; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn

 -- David Gossow <dgossow@willowgarage.com>  Sat, 01 Oct 2016 22:00:00 -0000

ros-melodic-compressed-image-transport (1.9.3-0stretch) stretch; urgency=high

  * remove useless tf dependencies
  * Using cfg-defined constants
  * Changed flag name, and corrected typo in flag use.
  * using IMREAD flags.
  * Updated for indigo-devel
  * Contributors: Cedric Pradalier, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 16 Jan 2016 23:00:00 -0000

ros-melodic-compressed-image-transport (1.9.2-0stretch) stretch; urgency=high

  * get code to compile with OpenCV3
  * avoid yet another image copy
  * avoid copying data if it can be shared
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Fri, 24 Apr 2015 22:00:00 -0000

ros-melodic-compressed-image-transport (1.9.1-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Thu, 17 Jul 2014 22:00:00 -0000

ros-melodic-compressed-image-transport (1.9.0-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Thu, 15 May 2014 22:00:00 -0000

ros-melodic-compressed-image-transport (1.8.21-0stretch) stretch; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- David Gossow <dgossow@willowgarage.com>  Wed, 26 Jun 2013 22:00:00 -0000

ros-melodic-compressed-image-transport (1.8.20-0stretch) stretch; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Sun, 17 Mar 2013 23:00:00 -0000

ros-melodic-compressed-image-transport (1.8.19-0stretch) stretch; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Sat, 23 Feb 2013 23:00:00 -0000

ros-melodic-compressed-image-transport (1.8.18-0stretch) stretch; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Thu, 07 Feb 2013 16:59:00 -0000

ros-melodic-compressed-image-transport (1.8.17-0stretch) stretch; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Thu, 17 Jan 2013 23:00:00 -0000

ros-melodic-compressed-image-transport (1.8.16-0stretch) stretch; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Wed, 16 Jan 2013 23:00:00 -0000

ros-melodic-compressed-image-transport (1.8.15-0stretch) stretch; urgency=high

  * fix typo
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Fri, 28 Dec 2012 19:11:00 -0000

ros-melodic-compressed-image-transport (1.8.14-0stretch) stretch; urgency=high

  * fix the bad xml naming
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Fri, 28 Dec 2012 19:02:00 -0000

ros-melodic-compressed-image-transport (1.8.13-0stretch) stretch; urgency=high

  * fix the bad exports
  * make sure the plugins are visible by image_transport
  * added license headers to various cpp and h files
  * Contributors: Aaron Blasdel, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Fri, 28 Dec 2012 18:06:00 -0000

ros-melodic-compressed-image-transport (1.8.12-0stretch) stretch; urgency=high

  * fix downstream stuff in cmake
  * Contributors: Dirk Thomas

 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 18:30:00 -0000

ros-melodic-compressed-image-transport (1.8.11-0stretch) stretch; urgency=high

  * fix cmake order
  * Contributors: Dirk Thomas

 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 16:17:00 -0000

ros-melodic-compressed-image-transport (1.8.10-0stretch) stretch; urgency=high

  * fix dyn reconf
  * Contributors: Dirk Thomas

 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 16:03:00 -0000

ros-melodic-compressed-image-transport (1.8.9-0stretch) stretch; urgency=high

  * switching to verion 1.8.9
  * fixing dynamic_reconfigure related catkin errors
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Tue, 18 Dec 2012 23:26:00 -0000

ros-melodic-compressed-image-transport (1.8.8-0stretch) stretch; urgency=high

  * adding build_deb on message_generation & mrun_deb on message_runtime
  * Updated package.xml for new buildtool_depend tag for catkin requirement
  * Contributors: Julius Kammerl, mirzashah

 -- David Gossow <dgossow@willowgarage.com>  Sun, 16 Dec 2012 23:00:00 -0000

ros-melodic-compressed-image-transport (1.8.7-0stretch) stretch; urgency=high

  * adding missing tf build dependency
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Mon, 10 Dec 2012 14:29:00 -0000

ros-melodic-compressed-image-transport (1.8.6-0stretch) stretch; urgency=high

  * switching to version 1.8.6
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Mon, 10 Dec 2012 14:08:00 -0000

ros-melodic-compressed-image-transport (1.8.5-0stretch) stretch; urgency=high

  * adding missing build debs
  * added class_loader_hide_library_symbols macros to CMakeList
  * switching to 1.8.5


=== debian/control ===
Source: ros-melodic-compressed-image-transport
Section: misc
Priority: extra
Maintainer: David Gossow <dgossow@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-melodic-compressed-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport
Description: Compressed_image_transport provides a plugin to image_transport for transparently sending images encoded as JPEG or PNG.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-compressed-image-transport//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-compressed-image-transport 1.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 find_package(OpenCV REQUIRED)
 find_package(catkin REQUIRED COMPONENTS cv_bridge dynamic_reconfigure image_transport)
+
+find_package(PkgConfig REQUIRED)
+pkg_check_modules(TurboJPEG REQUIRED libturbojpeg)
 
 # generate the dynamic_reconfigure config file
 generate_dynamic_reconfigure_options(cfg/CompressedPublisher.cfg cfg/CompressedSubscriber.cfg)
@@ -14,17 +17,18 @@
   DEPENDS OpenCV
 )
 
-include_directories(include ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})
+include_directories(include ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS} ${TurboJPEG_INCLUDE_DIRS})
 
 add_library(${PROJECT_NAME} src/compressed_publisher.cpp src/compressed_subscriber.cpp src/manifest.cpp)
 add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
-target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})
+target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES} ${TurboJPEG_LIBRARIES})
 
 class_loader_hide_library_symbols(${PROJECT_NAME})
 
 install(TARGETS ${PROJECT_NAME}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
 )
 install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}

=== debian/changelog ===
ros-melodic-compressed-image-transport (1.9.6-1bionic) bionic; urgency=high

  * Update maintainer in ros1 branches ( #133 <https://github.com/ros-perception/image_transport_plugins/issues/133>)
  * Performance optimizations for JPEG decompression (#123 <https://github.com/ros-perception/image_transport_plugins/issues/123>)
  * Fixed warning when resubscribing (#25 <https://github.com/ros-perception/image_transport_plugins/issues/25>)
  * Fix binary install locations for Windows build. (#34 <https://github.com/ros-perception/image_transport_plugins/issues/34>)
  * Add legacy constants when using opencv4. (#32 <https://github.com/ros-perception/image_transport_plugins/issues/32>)
  * Contributors: David Gossow, Hans Gaiser, Kenji Brameld, Max Schwarz, Sean Yen, Till Grenzdörffer, Yuki Furuta, ijnek

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 30 Jan 2023 06:00:00 -0000

ros-melodic-compressed-image-transport (1.9.5-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 03 Oct 2016 05:00:00 -0000

ros-melodic-compressed-image-transport (1.9.4-1bionic) bionic; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2016 05:00:00 -0000

ros-melodic-compressed-image-transport (1.9.3-1bionic) bionic; urgency=high

  * remove useless tf dependencies
  * Using cfg-defined constants
  * Changed flag name, and corrected typo in flag use.
  * using IMREAD flags.
  * Updated for indigo-devel
  * Contributors: Cedric Pradalier, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-melodic-compressed-image-transport (1.9.2-1bionic) bionic; urgency=high

  * get code to compile with OpenCV3
  * avoid yet another image copy
  * avoid copying data if it can be shared
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 25 Apr 2015 05:00:00 -0000

ros-melodic-compressed-image-transport (1.9.1-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jul 2014 05:00:00 -0000

ros-melodic-compressed-image-transport (1.9.0-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 16 May 2014 05:00:00 -0000

ros-melodic-compressed-image-transport (1.8.21-1bionic) bionic; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 27 Jun 2013 05:00:00 -0000

ros-melodic-compressed-image-transport (1.8.20-1bionic) bionic; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 18 Mar 2013 05:00:00 -0000

ros-melodic-compressed-image-transport (1.8.19-1bionic) bionic; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 24 Feb 2013 06:00:00 -0000

ros-melodic-compressed-image-transport (1.8.18-1bionic) bionic; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 07 Feb 2013 23:59:00 -0000

ros-melodic-compressed-image-transport (1.8.17-1bionic) bionic; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jan 2013 06:00:00 -0000

ros-melodic-compressed-image-transport (1.8.16-1bionic) bionic; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jan 2013 06:00:00 -0000

ros-melodic-compressed-image-transport (1.8.15-1bionic) bionic; urgency=high

  * fix typo
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 29 Dec 2012 02:11:00 -0000

ros-melodic-compressed-image-transport (1.8.14-1bionic) bionic; urgency=high

  * fix the bad xml naming
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 29 Dec 2012 02:02:00 -0000

ros-melodic-compressed-image-transport (1.8.13-1bionic) bionic; urgency=high

  * fix the bad exports
  * make sure the plugins are visible by image_transport
  * added license headers to various cpp and h files
  * Contributors: Aaron Blasdel, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 29 Dec 2012 01:06:00 -0000

ros-melodic-compressed-image-transport (1.8.12-1bionic) bionic; urgency=high

  * fix downstream stuff in cmake
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 20 Dec 2012 01:30:00 -0000

ros-melodic-compressed-image-transport (1.8.11-1bionic) bionic; urgency=high

  * fix cmake order
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 23:17:00 -0000

ros-melodic-compressed-image-transport (1.8.10-1bionic) bionic; urgency=high

  * fix dyn reconf
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 23:03:00 -0000

ros-melodic-compressed-image-transport (1.8.9-1bionic) bionic; urgency=high

  * switching to verion 1.8.9
  * fixing dynamic_reconfigure related catkin errors
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 06:26:00 -0000

ros-melodic-compressed-image-transport (1.8.8-1bionic) bionic; urgency=high

  * adding build_deb on message_generation & mrun_deb on message_runtime


=== debian/control ===
Source: ros-melodic-compressed-image-transport
Section: misc
Priority: optional
Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libturbojpeg0-dev, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-melodic-compressed-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libturbojpeg0-dev, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport
Description: Compressed_image_transport provides a plugin to image_transport for transparently sending images encoded as JPEG or PNG.
